//#define VISUALSTUDIO

//if we aren't debugging in visual studio
#ifndef VISUALSTUDIO
	//use the timers.h file from the c directory
	#include <TIMERS12.h>
#endif

//if we are debugging in visual studio
#ifdef VISUALSTUDIO
	//use the timers.h file from the sources directory
	#include "TIMERS12.h"
#endif

#include "CustomTime.h"

void Wait(unsigned int dt)
{
	//create two variables, t0 and t1
	unsigned int t0, t1;
	//set t0 equal to the current time
	t0 = TMRS12_GetTime();
	//execute the following code:
	do
	{
		//set t1 equal to the current time
		t1= TMRS12_GetTime();
	}
	//while the difference between t1 and t0 is less than dt.
	while((t1-t0)<dt);
}

unsigned char TimerDone(CustomTimer Timer, unsigned int CurrentTime)
{
	//if (CurrentTime-StoredTime) is greater than Delay, return 1.
	if((CurrentTime-Timer.StoredTime)>Timer.Delay) return 1;
	//otherwise return zero
	return 0;
}

CustomTimer TimerUpdate(CustomTimer Timer, unsigned int CurrentTime)
{
	//set StoredTime equal to CurrentTime
	Timer.StoredTime=CurrentTime;
	//return the timer structure.
	return Timer;
}