#ifndef _DANTIME_H
#define _DANTIME_H

typedef struct
{
	//holds the timer start time
	unsigned int StoredTime;
	//holds the delay time before the timer finishes.
	unsigned int Delay;
} CustomTimer;

//Wait() is a pause function that executes blocking code.  Reads the clock time and waits until the wait time has expired before returning to the parent funcion.
//Input:
//	dt - type unsigned int - time to pause.
void Wait(unsigned int dt);

//TimerDone() tests whether the CustomTimer has finished.
unsigned char TimerDone(CustomTimer Timer, unsigned int CurrentTime);
//updates the internal stored time with CurrentTime.
CustomTimer TimerUpdate(CustomTimer Timer, unsigned int CurrentTime);

#endif