//#define VISUALSTUDIO
#ifndef VISUALSTUDIO
	#include <ME218_C32.h>
#endif
#ifdef VISUALSTUDIO
	 #include "ME218_C32.h"
#endif

#include "GameTimerLED.h"
#include "ShiftRegister.h"

//define total number of LEDs used
#define TIMER_TOTAL 8

//Create module variable Clock of type OutputT
static OutputT Clock;
//Create module variable Data of type OutputT
static OutputT Data;
//Create module variable TimerPattern of type char.
static char TimerPattern=0;

void GameTimerInit(OutputT GameTimerLEDClock, OutputT GameTimerLEDData)
{
	//Initialize Clock with GameTimerLEDClock
	Clock=GameTimerLEDClock;
	//Initialize Data with GameTimerLEDData
	Data=GameTimerLEDData;
	//Initialize shift register outputs
	InitShiftRegister(Clock, Data);
}

static void LightN(char n)
{
	//create counter variable k, of type int.
	int k;
	//if n is greater than 0
	if (n>0)
	{
		//repeat n times on k:
		for (k=0; k<n;k++) 
		{
			//light next LED
			LightNext(Clock,Data);
		}
	}
	//repeat (TIMER_TOTAL-n) times on k to fill in the rest of the spots with dark LEDs
	for (k=n; k<TIMER_TOTAL;k++) 
	{
		//don't light next LED
		DontLightNext(Clock,Data);
	}
	//update TimerPattern with n.
	TimerPattern=n;
}

void GameTimerReset(void) 
{
	//Light the game timer LEDs with maximum LEDs
	LightN(TIMER_TOTAL);
}

void GameTimerCountDown(void) 
{
	//Decrement the pattern in the game timer LEDs
	LightN(TimerPattern-1);
}