#include "ShiftRegister.h"
#include "DigitalIO.h"

//experimentally-determined number of counts we need to wait for the shift register circuits to read our outputs.
//Warning, if this number gets very large we have blocking code.
#define SHIFT_REG_DELAY 2

//declare module function shift
static void Shift(OutputT Clock);

void InitShiftRegister(OutputT Clock, OutputT Data)
{
	//declare counter variable k, of type int
	int k;
	//set clock output equal to 0
	OutputWrite(Clock, 0x00);
	//set data output equal to 0
	OutputWrite(Data, 0x00);
	//increment for loop SHIFT_REG_DELAY times
	for(k=0;k<SHIFT_REG_DELAY ;k++);
}
void LightNext(OutputT Clock, OutputT Data)
{
	//declare counter variable k, of type int
	int k;
	//set data output equal to 1
	OutputWrite(Data, 0xff);
	//increment for loop SHIFT_REG_DELAY times
	for(k=0;k<SHIFT_REG_DELAY;k++);
	//run shift function
	Shift(Clock);
}

void DontLightNext(OutputT Clock, OutputT Data)
{
	//declare counter variable k, of type int
	int k;
	//set data output equal to 1
	OutputWrite(Data, 0x00);
	//increment for loop SHIFT_REG_DELAY times
	for(k=0;k<SHIFT_REG_DELAY;k++);
	//run shift function
	Shift(Clock);
}

static void Shift(OutputT Clock)
{
	//declare counter variable k, of type int
	int k;
	//set clock output equal to 1
	OutputWrite(Clock, 0xff);
	//increment for loop SHIFT_REG_DELAY times
	for(k=0;k<SHIFT_REG_DELAY;k++);
	//set clock output equal to 0
	OutputWrite(Clock, 0x00);
}