//#define VISUALSTUDIO
#ifndef VISUALSTUDIO
	#include <ME218_C32.h>
	#include <TIMERS12.h>
#endif
#ifdef VISUALSTUDIO
	#include "ME218_C32.h"
	#include "TIMERS12.h"
#endif

#include "Swag.h"
#include "DigitalIO.h"
#include "CustomTime.h"

//create module function opendoor()
static void opendoor(void);
//create module function closedoor()
static void closedoor(void);

//create module variable SwagOpen, of type OutputT
static OutputT SwagOpen;
//create module variable SwagClose, of type OutputT
static OutputT SwagClose;
//create module constant RUN_TIME, of type unsigned int and initialize to 50
static const unsigned int RUN_TIME = 50; 
//create module constant WAIT_TIME, of type unsigned int and initialize to 1
static const unsigned int WAIT_TIME = 1;

void DropSwag(void)
{
	//run opendoor()
	opendoor();
	//wait WAIT_TIME*2 milliseconds
	Wait(WAIT_TIME);
	//run closedoor()
	closedoor();
}

void opendoor(void)
{ 
	//Write 0 to SwagClose Output
	OutputWrite(SwagClose, 0x00);
	//Write 1 to SwagOpen Output
	OutputWrite(SwagOpen, 0xFF);
	//Wait RUN_TIME*2 milliseconds
	Wait(RUN_TIME);
	//Write 0 to SwagOpen Output
	OutputWrite(SwagOpen, 0x00);
}

void closedoor(void)
{
	//Write 0 to SwagOpen Output
	OutputWrite(SwagOpen, 0x00);
	//Write 1 to SwagClose Output
	OutputWrite(SwagClose, 0xFF);
	//Wait RUN_TIME*2 milliseconds
	Wait(RUN_TIME);
	//Write 0 to SwagClose Output
	OutputWrite(SwagClose, 0x00);
}

void SwagInit(OutputT so, OutputT sc)
{ 
	//initialize module variable SwagOpen to so
	SwagOpen=so;
	//initialize module variable SwagClose to sc
	SwagClose=sc;
	//run closedoor()
	closedoor();
}